<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_kmeans.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_kmeans" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_kmeans</refname>
    <refpurpose>K-means clustering algorithm.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [model,y] = nan_kmeans(X,num_centers)
   [model,y] = nan_kmeans(X,num_centers,Init_centers)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
[model,y] = nan_kmeans(X,num_centers) runs K-means clustering
where inital centers are randomly selected from the
input vectors X. The output are found centers stored in
structure model.
   </para>
   <para>
[model,y] = nan_kmeans(X,num_centers,Init_centers) uses
init_centers as the starting point.
</para>
</refsection>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Input:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>X [num_data x dim]:</term>
      <listitem><para> Input vectors.</para></listitem></varlistentry>
   <varlistentry><term>num_centers [1x1]:</term>
      <listitem><para> Number of centers.</para></listitem></varlistentry>
   <varlistentry><term>Init_centers [1x1]:</term>
      <listitem><para> Starting point of the algorithm.</para></listitem></varlistentry>
   <varlistentry><term>Output:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>model [struct]:</term>
      <listitem><para> Found clustering:</para></listitem></varlistentry>
   <varlistentry><term>.X [num_centers x dim]:</term>
      <listitem><para> Found centers.</para></listitem></varlistentry>
   <varlistentry><term>.y [1 x num_centers]:</term>
      <listitem><para> Implicitly added labels 1..num_centers.</para></listitem></varlistentry>
   <varlistentry><term>.t [1x1]:</term>
      <listitem><para> Number of iterations.</para></listitem></varlistentry>
   <varlistentry><term>.MsErr:</term>
      <listitem><para> [1xt] Mean-Square error at each iteration.</para></listitem></varlistentry>
   <varlistentry><term>y [1 x num_data]:</term>
      <listitem><para> Labels assigned to data according to</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
X = [rand(100,2,'normal')+ones(100,2);   rand(100,2,'normal')-ones(100,2)];
[model,idx] = nan_kmeans( X, 2 );
plot(X(idx==1,1),X(idx==1,2),'r.','MarkerSize',12)
plot(X(idx==2,1),X(idx==2,2),'b.','MarkerSize',12)
ctrs=model.X;
plot(ctrs(:,1),ctrs(:,2),'ko', 'MarkerSize',12,'LineWidth',2)
plot(ctrs(:,1),ctrs(:,2),'kx', 'MarkerSize',12,'LineWidth',2);
legend('Cluster 1','Cluster 2','Centroids',  'Location','NW')
   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Written by Vojtech Franc and Vaclav Hlavac,</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
